# Own Food Item by Id

Use the `ownMealLog` query to retrieve an Own Food Item's information.

### Required Argument

| Argument | Type | Description                                                                                                                               |
| -------- | ---- | ----------------------------------------------------------------------------------------------------------------------------------------- |
| `id`     | ID!  | Own food item ID. Use the [`ownFoodItems` ](https://docs.suggestic.com/graphql/query/queries/food-log/own-food-items)query to get the ID. |

### Example

{% tabs %}
{% tab title="Query" %}

```graphql
{
  ownMealLog(id: "TWVhbExvZzozMTE3MDIxMC1kYjNkLTExZWEtYTA0ZS0wMjQyYWMxODAwMDc=") {
    databaseId
    name
    id
    userPid
    mealType
    mealTime
    secondaryInfoText
    extraInfo
    serving
    nutrients {
      sugar
      fat
      procnt
      fibtg
      netcarbs
    }
    servings {
      amount
      equivalent
      unit
      description
    }
    macrosLog {
      chocdf
      sugar
      procnt
    }
    nutritionalInfo {
      calories
      sugar
      calcium
      cholesterol
      sodium
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```javascript
{
  "data": {
    "ownMealLog": {
      "databaseId": "31170210-db3d-11ea-a04e-0242ac180007",
      "name": "Powercrunch Protein bar",
      "id": "TWVhbExvZzozMTE3MDIxMC1kYjNkLTExZWEtYTA0ZS0wMjQyYWMxODAwMDc=",
      "userPid": "88ca9141-e147-40f5-8fe1-6c49bcd6c578",
      "mealType": "OWN_ITEM",
      "mealTime": "LUNCH",
      "secondaryInfoText": null,
      "extraInfo": "0 % Carbs • 0 % Protein • 0 % Fat",
      "serving": 0,
      "nutrients": {
        "sugar": 0.0015,
        "fat": 0.0033,
        "procnt": 0.0033,
        "fibtg": 0,
        "netcarbs": 0.003
      },
      "servings": [
        {
          "amount": 1,
          "equivalent": 40,
          "unit": "g",
          "description": "5 servings"
        }
      ],
      "macrosLog": null,
      "nutritionalInfo": {
        "calories": 5.5,
        "sugar": 0.15,
        "calcium": 1.5,
        "cholesterol": null,
        "sodium": null
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/food-log/legacy/own-food-item-by-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
